{
  "format_version": "1.10.0",
  "minecraft:spawn_rules": {
    "description": {
      "identifier": "m:crimson_warden",
      "population_control": "animal"
    },
    "conditions": [
      {
        "minecraft:spawns_underground": {},
        "minecraft:spawns_on_surface": {},
        "minecraft:weight": {
          "default": 10
        },
        "minecraft:herd": {
          "min_size": 1,
          "max_size": 1
        },
        "minecraft:density_limit": {
          "surface": 1,
          "underground": 1
        },
        "minecraft:biome_filter": [
          {
            "any_of": [
              {
                "test": "has_biome_tag",
                "operator": "==",
                "value": "crimson_forest"
              }
            ]
          }
        ],
        "minecraft:height_filter": {
          "min": 0.0,
          "max": 13.0
        }
      },
      {
        "minecraft:spawns_underground": {},
        "minecraft:weight": {
          "default": 10
        },
        "minecraft:herd": {
          "min_size": 1,
          "max_size": 1
        },
        "minecraft:density_limit": {
          "surface": 1,
          "underground": 1
        },
        "minecraft:biome_filter": [
          {
            "any_of": [
              {
                "test": "has_biome_tag",
                "operator": "==",
                "value": "crimson_forest"
              }
            ]
          }
        ]
      }
    ]
  }
}